#!/bin/sh

ERROR=false
for COMMAND in tar grep cat cut awk sh mv mkdir touch chown su ps rm ln crontab gzip gunzip perl zcat ksh
do
  FILE=`which $COMMAND`
  if [ -z "$FILE" ] ; then 
      echo "$COMMAND does not exist or is not executable by you in $PATH"
      ERROR=true
  elif [ -x $FILE ] ; then 
      echo "$COMMAND OK"
  else 
      echo "$COMMAND exists but it is not executable by you"
      ERROR=true
  fi
done

if [ "$ERROR" = "false" ] ; then
    FILE=`which perl`
    MINVERSION=5.00503
    PERLVERSIONOK="Perl version OK"
    OUTPUT=`$FILE -e "if ($] < $MINVERSION) {print 'Wrong version of perl. I need perl version >= $MINVERSION'} else {print '$PERLVERSIONOK'};"`
    echo $OUTPUT
    if [ "$PERLVERSIONOK" != "$OUTPUT" ] ; then
	ERROR=true;
    fi
fi

if [ "$ERROR" = "true" ] ; then
    echo "Some of the checks failed. You may not be able to successfully install or run focalpoint. Please make sure all prerequisites are met."
else
    echo "All checks passed!"
fi

